promptClass {methods} | R Documentation

## Generate a Shell for Documentation of a Formal Class

### Description

Assembles all relevant slot and method information for a class, with minimal markup for Rd processing; no QC facilities at present.

### Usage

    promptClass(clName, filename = NULL, type = "class",
                keywords = "classes", where = topenv(parent.frame()))

### Arguments

`clName` | a character string naming the class to be documented.
`filename` | usually, a connection or a character string giving the name of the file to which the documentation shell should be written. The default corresponds to a file whose name is the topic name for the class documentation, followed by `".Rd"`. Can also be `NA` (see below).
`type` | the documentation type to be declared in the output file.
`keywords` | the keywords to include in the shell of the documentation. The keyword `"classes"` should be one of them.
`where` | where to look for the definition of the class and of methods that use it.

### Details

The class definition is found on the search list. Using that definition, information about classes extended and slots is determined.

In addition, the currently available generics with methods for this class are found (using `getGenerics`). Note that these methods need not be in the same environment as the class definition; in particular, this part of the output may depend on which packages are currently in the search list.

As with other prompt-style functions, unless `filename` is `NA`, the documentation shell is written to a file, and a message about this is given. The file will need editing to give information about the meaning of the class. The output of `promptClass` can only contain information from the metadata about the formal definition and how it is used.

If `filename` is `NA`, a list-style representation of the documentation shell is created and returned. Writing the shell to a file amounts to `cat(unlist(x), file = filename, sep = "\n")`, where `x` is the list-style representation.

### Value

If `filename` is `NA`, a list-style representation of the documentation shell. Otherwise, the name of the file written to is returned invisibly.

### Author(s)

VJ Carey stvjc@channing.harvard.edu and John Chambers

### References

Chambers, John M. (2008) Software for Data Analysis: Programming with R Springer. (For the R version.)

Chambers, John M. (1998) Programming with Data Springer (For the original S4 version.)

### See Also

`prompt` for documentation of functions, `promptMethods` for documentation of method definitions.

For processing of the edited documentation, either use `R CMD Rdconv`, or include the edited file in the ‘man’ subdirectory of a package.

### Examples

    ## Not run:
    > promptClass("track")
    A shell of class documentation has been written to the
    file "track-class.Rd".
    ## End(Not run)

[Package methods version 2.8.1 Index]